commit f496854cd6e97ea42e6b5891e48a267709370c3a
Author: jpoubova <jpoubova@students.zcu.cz>
Date:   Fri Apr 24 12:02:55 2020 +0200

    Re #7944: Vytvořit DE verzi stránky

diff --git a/fe/fulltextsearch/src/assets/i18n/de-lang.json b/fe/fulltextsearch/src/assets/i18n/de-lang.json
index e69de29..d69c21d 100644
--- a/fe/fulltextsearch/src/assets/i18n/de-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/de-lang.json
@@ -0,0 +1,59 @@
+{
+  "app-title": "Fulltext search app",
+  "app-main-nav": {
+    "title1": "FULLTEXT SEARCH",
+    "title2": "APPLICATION",
+    "home": "Startseite",
+    "search": "Suchen",
+    "browse": "Durchsuchen",
+    "upload": "Hochladen",
+    "about": "Über",
+    "help": "Hilfe"
+  },
+  "app-search-box": {
+    "search": "Suchen",
+    "placeholder": "Geben Sie den zu suchenden Text ein..."
+  },
+  "app-search": {
+    "expression": "Suchtext: ",
+    "found": "Dokumente gefunden: "
+  },
+  "app-search-paginator": {
+    "canvas-error": "Ihr Browser unterstützt das HTML5-Canvas-Tag nicht.",
+    "items-per-page": "Objekte pro Seite:"
+  },
+  "app-browse": {
+    "card-header": "Alle Dokumente"
+  },
+  "app-table-browse": {
+    "id": "Id",
+    "document-name": "Dokumentname",
+    "origin-date": "Ursprungsdatum",
+    "uploaded-date": "Datum des Uploads"
+  },
+  "app-upload": {
+    "card-header": "Dateien hochladen",
+    "pick-files": "Dateien auswählen",
+    "upload": "Hochladen"
+  },
+  "app-about-dialog": {
+    "title": "Über",
+    "fe-version": "App Version (FE):",
+    "be-version": "App Version (BE):",
+    "solr-version": "Solr Version:",
+    "header3": "Projekt des ASWI-Teams ANONYMOUS (2020)",
+    "paragraph": "    Lorem Ipsum is simply dummy text of the printing and\n    typesetting industry. Lorem Ipsum has been the industry's\n    standard dummy text ever since the 1500s, when an unknown\n    printer took a galley of type and scrambled it to make a\n    type specimen book."
+  },
+  "app-help": {
+    "card-header": "Hilfe",
+    "how-it-works-title": "Wie es funktioniert",
+    "how-it-works-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "manual-title": "Handbuch",
+    "manual-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
+    "faq-title": "Häufig gestellte Fragen",
+    "faq-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "support-title": "Support",
+    "support-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "contact-admin-title": "Administratorkontakt"
+  }
+}