commit fed5af63fef41e78ee7892e13553d1a6daf577f1
Author: castic96 <zdenek.castoral.jr@gmail.com>
Date:   Tue May 12 18:17:25 2020 +0200

    Re #8029: Struktura pro uživatelskou příručku
    - vytvořena struktura pro uživatelskou příručku
    - umožnění vkládat HTML tagy do JSON souborů

diff --git a/fe/fulltextsearch/src/app/components/pages/help/help.component.html b/fe/fulltextsearch/src/app/components/pages/help/help.component.html
index 57a0b55..4ec44e0 100644
--- a/fe/fulltextsearch/src/app/components/pages/help/help.component.html
+++ b/fe/fulltextsearch/src/app/components/pages/help/help.component.html
@@ -3,14 +3,10 @@
     <div class="card">
       <h1 class="card-header">{{'app-help.card-header' | translate}}</h1>
       <div class="card-body">
-        <h2 class="card-title">{{'app-help.how-it-works-title' | translate}}</h2>
-        <p class="card-text">{{'app-help.how-it-works-text' | translate}}</p>
-        <h2 class="card-title">{{'app-help.manual-title' | translate}}</h2>
-        <p class="card-text">{{'app-help.manual-text' | translate}}</p>
-        <h2 class="card-title">{{'app-help.faq-title' | translate}}</h2>
-        <p class="card-text">{{'app-help.faq-text' | translate}}</p>
-        <h2 class="card-title">{{'app-help.support-title' | translate}}</h2>
-        <p class="card-text">{{'app-help.support-text' | translate}}</p>
+        <h2 class="card-title">{{'app-help.upload-title' | translate}}</h2>
+        <p [innerHTML] = "'app-help.upload-text' | translate"></p>
+        <h2 class="card-title">{{'app-help.search-title' | translate}}</h2>
+        <p [innerHTML] = "'app-help.search-text' | translate"></p>
         <h2>{{'app-help.contact-admin-title' | translate}}</h2>
         <address>
           <a href="mailto:jim@rock.com">jim@rock.com</a><br>
diff --git a/fe/fulltextsearch/src/app/components/shared-components/about-dialog/about-dialog.component.html b/fe/fulltextsearch/src/app/components/shared-components/about-dialog/about-dialog.component.html
index 724d46a..cb39acf 100644
--- a/fe/fulltextsearch/src/app/components/shared-components/about-dialog/about-dialog.component.html
+++ b/fe/fulltextsearch/src/app/components/shared-components/about-dialog/about-dialog.component.html
@@ -11,6 +11,7 @@
   <span><b>{{'app-about-dialog.be-version' | translate}}</b></span> {{appVersionBE}}<br>
   <span><b>{{'app-about-dialog.solr-version' | translate}}</b></span> {{solrVersion}}<br>
   <h3><b>{{'app-about-dialog.header3' | translate}}</b></h3>
+  <p [innerHTML] = "'app-about-dialog.developers' | translate"></p>
   <p>{{'app-about-dialog.paragraph' | translate}}</p>
 
 </mat-dialog-content>
diff --git a/fe/fulltextsearch/src/assets/i18n/cz-lang.json b/fe/fulltextsearch/src/assets/i18n/cz-lang.json
index bc69152..d9d54f9 100644
--- a/fe/fulltextsearch/src/assets/i18n/cz-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/cz-lang.json
@@ -8,7 +8,7 @@
     "browse": "Procházet",
     "upload": "Nahrát",
     "about": "O nás",
-    "help": "Pomoc"
+    "help": "Nápověda"
   },
   "app-search-box": {
     "search": "Vyhledat",
@@ -47,18 +47,15 @@
     "be-version": "Verze aplikace (BE):",
     "solr-version": "Verze Solr:",
     "header3": "Projekt vytvořen týmem ANONYMOUS v rámci projektu ASWI (2020)",
+    "developers": "<b>Vývojáři:</b> Zdeněk Častorál, Jitka Poubová, Jan Smolař, Ondřej Váně",
     "paragraph": "Úkolem tohoto projektu bylo vytvořit vyhledávač založený na platformě Apache Solr, který umožní efektivní\nfulltextové vyhledávání nad množinou historických dokumentů (scanů) rozpoznaných OCR\nsystémem."
   },
   "app-help": {
-    "card-header": "Pomoc",
-    "how-it-works-title": "Jak to funguje",
-    "how-it-works-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "manual-title": "Návod",
-    "manual-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
-    "faq-title": "Nejčastější dotazy",
-    "faq-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "support-title": "Podpora",
-    "support-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "card-header": "Nápověda",
+    "upload-title": "Nahrávání souborů",
+    "upload-text": "Praesent in <b>mauris</b> eu <br>tortor porttitor <ul><li>jedna</li><li>dva</li><li>tri</li></ul>accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "search-title": "Vyhledávání",
+    "search-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
     "contact-admin-title": "Kontakt na administrátora"
   }
 }
diff --git a/fe/fulltextsearch/src/assets/i18n/de-lang.json b/fe/fulltextsearch/src/assets/i18n/de-lang.json
index b6de280..38370f6 100644
--- a/fe/fulltextsearch/src/assets/i18n/de-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/de-lang.json
@@ -47,18 +47,15 @@
     "be-version": "App Version (BE):",
     "solr-version": "Solr Version:",
     "header3": "Projekt des ASWI-Teams ANONYMOUS (2020)",
+    "developers": "<b>Entwickler:</b> Zdeněk Častorál, Jitka Poubová, Jan Smolař, Ondřej Váně",
     "paragraph": "Die Aufgabe dieses Projekts bestand darin, eine Suchmaschine auf der Basis der Apache Solr-Plattform zu erstellen, die eine effiziente Volltextsuche über eine Reihe von historischen Dokumenten (Scans) ermöglicht, die vom OCR-System erkannt werden."
   },
   "app-help": {
     "card-header": "Hilfe",
-    "how-it-works-title": "Wie es funktioniert",
-    "how-it-works-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "manual-title": "Handbuch",
-    "manual-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
-    "faq-title": "Häufig gestellte Fragen",
-    "faq-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "support-title": "Support",
-    "support-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "upload-title": "Nahrávání souborů - přeložit DE",
+    "upload-text": "Praesent in <b>mauris</b> eu <br>tortor porttitor <ul><li>jedna</li><li>dva</li><li>tri</li></ul>accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "search-title": "Vyhledávání - přeložit DE",
+    "search-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
     "contact-admin-title": "Administratorkontakt"
   }
 }
diff --git a/fe/fulltextsearch/src/assets/i18n/en-lang.json b/fe/fulltextsearch/src/assets/i18n/en-lang.json
index 4816f7a..0c88f37 100644
--- a/fe/fulltextsearch/src/assets/i18n/en-lang.json
+++ b/fe/fulltextsearch/src/assets/i18n/en-lang.json
@@ -46,19 +46,16 @@
     "fe-version": "App version (FE):",
     "be-version": "App version (BE):",
     "solr-version": "Solr version:",
+    "developers": "<b>Developers:</b> Zdeněk Častorál, Jitka Poubová, Jan Smolař, Ondřej Váně",
     "header3": "Project made by ASWI team ANONYMOUS (2020)",
     "paragraph": "The task of this project was to create a search engine based on the Apache Solr platform, which will enable efficient full-text search over a set of historical documents (scans) recognized by the OCR system."
   },
   "app-help": {
     "card-header": "Help",
-    "how-it-works-title": "How it is works",
-    "how-it-works-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "manual-title": "Manual",
-    "manual-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
-    "faq-title": "FAQ",
-    "faq-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
-    "support-title": "Support",
-    "support-text": "Praesent in mauris eu tortor porttitor accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "upload-title": "Nahrávání souborů - přeložit EN",
+    "upload-text": "Praesent in <b>mauris</b> eu <br>tortor porttitor <ul><li>jedna</li><li>dva</li><li>tri</li></ul>accumsan. Duis bibendum, lectus ut viverra rhoncus,\n          dolor nunc faucibus\n          libero, eget facilisis enim ipsum id lacus. Sed ac dolor sit amet purus malesuada congue. Integer pellentesque\n          quam vel velit. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Phasellus rhoncus. Donec quis nibh at\n          felis congue commodo. Integer pellentesque quam vel velit. Integer in sapien. Cum sociis natoque penatibus et\n          magnis dis parturient montes, nascetur ridiculus mus. Maecenas aliquet accumsan leo. Pellentesque habitant morbi\n          tristique senectus et netus et malesuada fames ac turpis egestas. In dapibus augue non sapien. Neque porro quisquam\n          est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora\n          incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Praesent id justo in neque elementum ultrices.\n          In convallis. Maecenas fermentum, sem in pharetra pellentesque, velit turpis volutpat ante, in pharetra metus odio\n          a lectus. Mauris tincidunt sem sed arcu. Vivamus porttitor turpis ac leo.",
+    "search-title": "Vyhledávání - přeložit EN",
+    "search-text": "Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Et harum quidem rerum facilis est et expedita\n          distinctio. Aenean id metus id velit ullamcorper pulvinar. Curabitur bibendum justo non orci. Etiam egestas\n          wisi a erat. Morbi leo mi, nonummy eget tristique non, rhoncus non leo. Nulla non arcu lacinia neque faucibus\n          fringilla. Etiam dui sem, fermentum vitae, sagittis id, malesuada in, quam. Quis autem vel eum iure reprehenderit\n          qui in ea voluptate velit esse quam nihil molestiae consequatur, vel illum qui dolorem eum fugiat quo voluptas\n          nulla pariatur? Aliquam erat volutpat. Aliquam id dolor.",
     "contact-admin-title": "Contact admin"
   }
 }