commit 13814aaebdc543478ac325e5882c43f9c2e00149
Author: @havlijan17 <havlijan@students.zcu.cz>
Date:   Tue Apr 14 16:12:18 2020 +0200

    #7842 project .classpath & launch.json for vs code changed
    hope the .gitignore works OK - VS Code shows strange things...

diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..8b00fae
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+project/Deserializer/.classpath
+project/Deserializer/.classpath
+project/Deserializer/.classpath
+project/.vscode/launch.json
diff --git a/demo_jh/Deserializer_tests/bin/app/App.class b/demo_jh/Deserializer_tests/bin/app/App.class
index 8cd1e9e..a83846a 100644
Binary files a/demo_jh/Deserializer_tests/bin/app/App.class and b/demo_jh/Deserializer_tests/bin/app/App.class differ
diff --git a/demo_jh/Deserializer_tests/serialized/simple.out b/demo_jh/Deserializer_tests/serialized/simple.out
index fe91795..0de502d 100644
Binary files a/demo_jh/Deserializer_tests/serialized/simple.out and b/demo_jh/Deserializer_tests/serialized/simple.out differ
diff --git a/demo_jh/Deserializer_tests/src/app/App.java b/demo_jh/Deserializer_tests/src/app/App.java
index cb551ea..286002d 100644
--- a/demo_jh/Deserializer_tests/src/app/App.java
+++ b/demo_jh/Deserializer_tests/src/app/App.java
@@ -131,7 +131,7 @@ public class App {
         try {
             System.out.println("Starting...");
 
-            this.serialize(new samples.ok.Simple(), "serialized/simple_arrays.out");
+            this.serialize(new samples.ok.Simple(), "serialized/simple.out");
 
             //samples.ok.SimpleChild test1 = this.deserialize("serialized/simple.out");
 
diff --git a/demo_jh/Deserializer_tests/src/samples/ok/Simple.java b/demo_jh/Deserializer_tests/src/samples/ok/Simple.java
index 152964f..964402f 100644
--- a/demo_jh/Deserializer_tests/src/samples/ok/Simple.java
+++ b/demo_jh/Deserializer_tests/src/samples/ok/Simple.java
@@ -4,6 +4,12 @@ import java.io.Serializable;
 
 public class Simple implements Serializable
 {
+    enum Level {
+        LOW,
+        MEDIUM,
+        HIGH
+    }
+
 	private static final long serialVersionUID = 1L;
 
     private String pozdrav = "AHOJ";
@@ -12,6 +18,8 @@ public class Simple implements Serializable
     private int[] intArray = new int[3];
     private String[] stringArray = new String[3];
 
+    private Level localEnum = Level.LOW; 
+
     public Simple() 
     {
         int locInt = 5;
diff --git a/project/Deserializer/.classpath b/project/Deserializer/.classpath
index 5669b52..0c47f4a 100644
--- a/project/Deserializer/.classpath
+++ b/project/Deserializer/.classpath
@@ -6,13 +6,13 @@
 		</attributes>
 	</classpathentry>
 	<classpathentry kind="src" path="src"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.controls.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx-swt.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.base.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.fxml.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.graphics.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.media.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.swing.jar"/>
-	<classpathentry kind="lib" path="libs/javafx-sdk-11.0.2/lib/javafx.web.jar"/>
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.base.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.graphics.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.controls.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.fxml.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.media.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.web.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx-swt.jar"/> 
+	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.swing.jar"/> 
 	<classpathentry kind="output" path="bin"/>
 </classpath>
diff --git a/project/Deserializer/libs/jdeserialize-1.2.jar b/project/Deserializer/libs/jdeserialize-1.2.jar
deleted file mode 100644
index 1040c97..0000000
Binary files a/project/Deserializer/libs/jdeserialize-1.2.jar and /dev/null differ
diff --git a/project/Deserializer/simple.out b/project/Deserializer/simple.out
index fe91795..0de502d 100644
Binary files a/project/Deserializer/simple.out and b/project/Deserializer/simple.out differ
diff --git a/project/Deserializer/src/Deserializer.java b/project/Deserializer/src/Deserializer.java
index b6e1875..49437a9 100644
--- a/project/Deserializer/src/Deserializer.java
+++ b/project/Deserializer/src/Deserializer.java
@@ -42,8 +42,8 @@ public class Deserializer extends Application {
 		stage.show();
 		
 		//tests
-		//Converter thread = new Converter(this, new File("simple_arrays.out"), new File("bcha.json"));
-		//thread.start();
+		Converter thread = new Converter(this, new File("simple.out"), new File("bcha.json"));
+		thread.start();
 	}
 	
 	private Scene createScene() {