commit 4a601fe08138f17c2a4190024fd44a639d93c6c6
Author: horkmi <horkmi@students.zcu.cz>
Date:   Thu Apr 30 05:06:28 2020 +0200

    re #7950
    
    release v0.4

diff --git a/project/Deserializer/app.config b/project/Deserializer/app.config
index 3d78a98..2ebbe99 100644
--- a/project/Deserializer/app.config
+++ b/project/Deserializer/app.config
@@ -1,4 +1,4 @@
-#Wed Apr 29 18:11:39 CEST 2020
+#Thu Apr 30 04:55:51 CEST 2020
 db_type=MySQL
 input_dir=D\:\\Michal\\University\\1\\LS\\ASWI\\semestralky\\Deserializer\\aswi2020horky\\project\\Deserializer\\test_data
 ace_theme=ambiance
diff --git a/project/Deserializer/html.txt b/project/Deserializer/html.txt
deleted file mode 100644
index 5c64b67..0000000
--- a/project/Deserializer/html.txt
+++ /dev/null
@@ -1,88 +0,0 @@
-{
-	class gk.std_bo_if.share.data.to.item.ToItem extends gk.std_bo_if.share.data.to.TransportObject : {
-	}
-},
-{
-	class gk.std_bo_if.share.data.to.TransportObject : {
-		"operation" : U, 
-		"status" : {
-			class gk.std_bo_if.share.data.to.TransportObjectStatus : {
-				"transactionID" : 100000000001256779, 
-			}
-		}, 
-		"table" : {
-			class gk.std_bo_if.share.data.to.item.TbiRItem extends gk.tbi.TbiTable : {
-			}
-		},
-		{
-			class gk.tbi.TbiTable : {
-				"changed" : true, 
-				"hasMoreData" : false, 
-				"rows" : {
-					class java.util.Vector : {
-						"capacityIncrement" : 0, 
-						"elementCount" : 1, 
-						"elementData" : 
-						[ 
-							{
-								class gk.std_bo_if.share.data.to.item.TbiRItemRow extends gk.tbi.TbiRow : {
-									"_authorized_for_sale_flag" : true, 
-									"_bonuspoints_flag" : true, 
-									"_collection_allowed_for_element_change_flag" : false, 
-									"_concession_item_flag" : false, 
-									"_consumer_pckg_weight" : 3.77, 
-									"_conversion_factor_input_required_flag" : false, 
-									"_default_label_count" : 1, 
-									"_delivery_stock_assortment_flag" : false, 
-									"_deposit_flag" : false, 
-									"_fee_included" : true, 
-									"_fl_itm_dsc" : true, 
-									"_item_deleted_flag" : false, 
-									"_markdown_type" : 0, 
-									"_negative_position_flag" : false, 
-									"_prohibited_for_return_flag" : false, 
-									"_recycling_fee" : 0.0, 
-									"_retain_prepayment_flag" : false, 
-									"_short_list_showing_flag" : false, 
-									"_sku_amount_factor" : 1.0, 
-									"_takeaway_allowed_flag" : false, 
-									"_tare_id" : 0, 
-									"_tax_exempt_prohibited_flag" : false, 
-									"_unit_pricing_required_flag" : false, 
-									"_update_stock_flag" : true, 
-									"_update_stock_on_item_collection_elements_flag" : false, 
-									"_update_stock_on_main_item_flag" : false, 
-									"_update_turnover_flag" : true, 
-									"_update_turnover_on_item_collection_elements_flag" : false, 
-									"_update_turnover_on_main_item_flag" : false, 
-									"_warranty_period" : 0.0, 
-									"_wertartikelok" : false, 
-									"_bon_text" : "Ліжко надувне VELOUR 137х191см", 
-									"_description" : "Ліжко надувне VELOUR 137х191см", 
-									"_item_id" : "4733200", 
-									"_item_main_id" : "4733200", 
-									"_merchandise_structure_id" : "090503", 
-									"_name" : "Ліжко надувне VELOUR 137х191см", 
-									"_pos_department_id" : "1", 
-									"_price_processing" : "01", 
-									"_retail_selling" : "ST", 
-									"_stock_item_type_code" : "00", 
-									"_supplier_id" : "C290", 
-									"_tax_group_id" : "83", 
-									"_xx001" : "11", 
-									"_xx002" : "3926909290", 
-								}
-							},
-							{
-								class gk.tbi.TbiRow : {
-									"status" : 0, 
-									"notNullArray" : [ -1, -20, 62, -22, -4, 17, -32, 12 ]
-								}
-							}
-						]
-					}
-				}
-			}
-		}
-	}
-}
\ No newline at end of file
diff --git a/project/Deserializer/jdeserialize_out.txt b/project/Deserializer/jdeserialize_out.txt
index a801352..11a20af 100644
--- a/project/Deserializer/jdeserialize_out.txt
+++ b/project/Deserializer/jdeserialize_out.txt
@@ -1,3 +1,33 @@
 --- JDESERIALIZE BEGINS ---
-read: gk.std_bo_if.share.data.to.item.ToItem _h0x7e0005 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0001 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0002 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0024 = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e0025 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0026 = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e0038 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0039 = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e004a = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e004b = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e005c = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e005d = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e006e = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e006f = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e0080 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0081 = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e0092 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e0093 = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e00a4 = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e00ac = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
+read: java.util.Hashtable _h0x7e00ad = r_0x7e0000;  
+read: java.util.Hashtable _h0x7e00b1 = r_0x7e0000;  
+read: [blockdata 0x00: 8 bytes]
 --- JDESERIALIZE ENDS ---
diff --git a/project/Deserializer/json.txt b/project/Deserializer/json.txt
deleted file mode 100644
index 5c64b67..0000000
--- a/project/Deserializer/json.txt
+++ /dev/null
@@ -1,88 +0,0 @@
-{
-	class gk.std_bo_if.share.data.to.item.ToItem extends gk.std_bo_if.share.data.to.TransportObject : {
-	}
-},
-{
-	class gk.std_bo_if.share.data.to.TransportObject : {
-		"operation" : U, 
-		"status" : {
-			class gk.std_bo_if.share.data.to.TransportObjectStatus : {
-				"transactionID" : 100000000001256779, 
-			}
-		}, 
-		"table" : {
-			class gk.std_bo_if.share.data.to.item.TbiRItem extends gk.tbi.TbiTable : {
-			}
-		},
-		{
-			class gk.tbi.TbiTable : {
-				"changed" : true, 
-				"hasMoreData" : false, 
-				"rows" : {
-					class java.util.Vector : {
-						"capacityIncrement" : 0, 
-						"elementCount" : 1, 
-						"elementData" : 
-						[ 
-							{
-								class gk.std_bo_if.share.data.to.item.TbiRItemRow extends gk.tbi.TbiRow : {
-									"_authorized_for_sale_flag" : true, 
-									"_bonuspoints_flag" : true, 
-									"_collection_allowed_for_element_change_flag" : false, 
-									"_concession_item_flag" : false, 
-									"_consumer_pckg_weight" : 3.77, 
-									"_conversion_factor_input_required_flag" : false, 
-									"_default_label_count" : 1, 
-									"_delivery_stock_assortment_flag" : false, 
-									"_deposit_flag" : false, 
-									"_fee_included" : true, 
-									"_fl_itm_dsc" : true, 
-									"_item_deleted_flag" : false, 
-									"_markdown_type" : 0, 
-									"_negative_position_flag" : false, 
-									"_prohibited_for_return_flag" : false, 
-									"_recycling_fee" : 0.0, 
-									"_retain_prepayment_flag" : false, 
-									"_short_list_showing_flag" : false, 
-									"_sku_amount_factor" : 1.0, 
-									"_takeaway_allowed_flag" : false, 
-									"_tare_id" : 0, 
-									"_tax_exempt_prohibited_flag" : false, 
-									"_unit_pricing_required_flag" : false, 
-									"_update_stock_flag" : true, 
-									"_update_stock_on_item_collection_elements_flag" : false, 
-									"_update_stock_on_main_item_flag" : false, 
-									"_update_turnover_flag" : true, 
-									"_update_turnover_on_item_collection_elements_flag" : false, 
-									"_update_turnover_on_main_item_flag" : false, 
-									"_warranty_period" : 0.0, 
-									"_wertartikelok" : false, 
-									"_bon_text" : "Ліжко надувне VELOUR 137х191см", 
-									"_description" : "Ліжко надувне VELOUR 137х191см", 
-									"_item_id" : "4733200", 
-									"_item_main_id" : "4733200", 
-									"_merchandise_structure_id" : "090503", 
-									"_name" : "Ліжко надувне VELOUR 137х191см", 
-									"_pos_department_id" : "1", 
-									"_price_processing" : "01", 
-									"_retail_selling" : "ST", 
-									"_stock_item_type_code" : "00", 
-									"_supplier_id" : "C290", 
-									"_tax_group_id" : "83", 
-									"_xx001" : "11", 
-									"_xx002" : "3926909290", 
-								}
-							},
-							{
-								class gk.tbi.TbiRow : {
-									"status" : 0, 
-									"notNullArray" : [ -1, -20, 62, -22, -4, 17, -32, 12 ]
-								}
-							}
-						]
-					}
-				}
-			}
-		}
-	}
-}
\ No newline at end of file
diff --git a/project/Deserializer/src/Converter.java b/project/Deserializer/src/Converter.java
index fcc3711..e3ba882 100644
--- a/project/Deserializer/src/Converter.java
+++ b/project/Deserializer/src/Converter.java
@@ -1,9 +1,6 @@
-import java.io.BufferedWriter;
 import java.io.File;
 import java.io.FileDescriptor;
 import java.io.FileOutputStream;
-import java.io.FileWriter;
-import java.io.IOException;
 import java.io.PrintStream;
 import java.util.List;
 import java.util.concurrent.Semaphore;
diff --git a/project/Deserializer/src/Editor.java b/project/Deserializer/src/Editor.java
index 058d8cd..a09e7ef 100644
--- a/project/Deserializer/src/Editor.java
+++ b/project/Deserializer/src/Editor.java
@@ -48,7 +48,7 @@ public class Editor {
 	            session = (JSObject) editor.call("getSession");
 	            
 	            // Slower scrolling.
-	            editor.call("setScrollSpeed", ".5");
+	            editor.call("setScrollSpeed", ".1");
 	            
 	            session.call("setUseWorker", false);
 	            editor.call("setReadOnly", true);
diff --git a/project/Deserializer/src/io/Database.java b/project/Deserializer/src/io/Database.java
index 3cdf4bb..aa417f9 100644
--- a/project/Deserializer/src/io/Database.java
+++ b/project/Deserializer/src/io/Database.java
@@ -23,8 +23,9 @@ public class Database {
 
 		public DB_Messenger(String driver, String url, String user, String password, String table, String condition, String column) {
 			this.driver = driver;
-			//The timezone statement added due to MySQL DB. Is it OK with MsSQL and Oracle?
-			this.url = url + "?useTimezone=true&serverTimezone=UTC";
+			// The timezone statement added due to MySQL.
+			//this.url = url + "?useTimezone=true&serverTimezone=UTC";
+			this.url = url;
 			this.user = user;
 			this.password = password;
 
diff --git a/project/jdeserialize_log.txt b/project/jdeserialize_log.txt
deleted file mode 100644
index e69de29..0000000
diff --git a/project/release_v0.2/JOU_Deserializer.zip b/project/release_v0.2/JOU_Deserializer.zip
deleted file mode 100644
index d2ff092..0000000
Binary files a/project/release_v0.2/JOU_Deserializer.zip and /dev/null differ
diff --git a/project/release_v0.4/JOU_Deserializer.jar b/project/release_v0.4/JOU_Deserializer.jar
new file mode 100644
index 0000000..e11e2c3
Binary files /dev/null and b/project/release_v0.4/JOU_Deserializer.jar differ